---
- name: Exclude Zabbix packages from EPEL
  ansible.builtin.include_tasks: redhat_excludes.yml
  loop: "{{ zabbix_client_epel_repos }}"
  loop_control:
    loop_var: epel_repo

- name: Ensure Zabbix RPM GPG key is installed
  ansible.builtin.rpm_key:
    key: https://repo.zabbix.com/RPM-GPG-KEY-ZABBIX-B5333005
    state: present

- name: Configure Zabbix repo
  ansible.builtin.dnf:
    name: "https://repo.zabbix.com/zabbix/7.0/rhel/{{ ansible_distribution_major_version }}/x86_64/zabbix-release-latest.el{{ ansible_distribution_major_version }}.noarch.rpm"
    state: present

- name: Install Zabbix agent
  ansible.builtin.dnf:
    name:
      - zabbix-agent2
      - zabbix-agent2-plugin-*
    state: present
